# DataExchange
TKSTEPBase
StepGeom

# StepGeom_OrientedSurface Class Reference

Representation of STEP entity OrientedSurface
.

`#include <StepGeom_OrientedSurface.hxx>`

Inheritance diagram for StepGeom_OrientedSurface:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_OrientedSurface ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const Standard_Boolean aOrientation)
| Initialize all fields (own and inherited) .
Standard_EXPORT Standard_Boolean | Orientation () const
| Returns field Orientation .
Standard_EXPORT void | SetOrientation (const Standard_Boolean Orientation)
| Set field Orientation .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Boolean | theOrientation

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_OrientedSurface::StepGeom_OrientedSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_OrientedSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Surface.

Standard_EXPORT void StepGeom_OrientedSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const Standard_Boolean | aOrientation
| ) |

Standard_EXPORT Standard_Boolean StepGeom_OrientedSurface::Orientation | ( |  | ) | const

Standard_EXPORT void StepGeom_OrientedSurface::SetOrientation | ( | const Standard_Boolean | Orientation | ) |

## Field Documentation

Standard_Boolean StepGeom_OrientedSurface::theOrientation `[private]`

The documentation for this class was generated from the following file:

- StepGeom_OrientedSurface.hxx